
import UIKit

class DrawingView: UIView {
    override func draw(_ rect: CGRect) {
        if let context = UIGraphicsGetCurrentContext() {
            if let image = UIImage(named: "husky") {
                let imageData = image.cgImage
                let width = image.size.width
                let height = image.size.height
                let posX: CGFloat = 0
                let posY: CGFloat = 50
                
                context.translateBy(x: 0, y: height + (posY * 2))
                context.scaleBy(x: 1.0, y: -1.0)
                context.draw(imageData!, in: CGRect(x: posX, y: posY, width: width, height: height))
            }
        }
    }
}

