
import UIKit

class ViewController: UIViewController {
    @IBOutlet weak var imageDraw: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        view.setNeedsLayout()
        view.layoutIfNeeded()
        let width = imageDraw.bounds.size.width
        let height = imageDraw.bounds.size.height
        let imageSize = CGSize(width: width, height: height)
        
        let render = UIGraphicsImageRenderer(size: imageSize)
        render.image(actions: { (renderContext) in
            let context = renderContext.cgContext
            let frame = CGRect(x: 10, y: 10, width: width - 20, height: height - 20)
            context.strokeEllipse(in: frame)
            
            imageDraw.image = renderContext.currentImage
        })
    }
}
