
import UIKit

class DrawingView: UIView {
    override func draw(_ rect: CGRect) {
        if let context = UIGraphicsGetCurrentContext() {
            context.addEllipse(in: CGRect(x: 50, y: 50, width: 100, height: 100))
            context.clip()
            
            context.beginPath()
            let list = stride(from: 10, to: 150, by: 10)
            for pos in list {
                context.move(to: CGPoint(x: 50, y: pos))
                context.addLine(to: CGPoint(x: 150, y: pos))
            }
            context.strokePath()
        }
    }
}

