
import UIKit

class DrawingView: UIView {
    override func draw(_ rect: CGRect) {
        if let context = UIGraphicsGetCurrentContext() {
            drawTriangle(context: context)
            context.translateBy(x: self.bounds.size.width, y: 0)
            context.scaleBy(x: -1.0, y: 1.0)
            drawTriangle(context: context)
        }
    }
    func drawTriangle(context: CGContext) {
        context.beginPath()
        context.move(to: CGPoint(x: 10, y: 10))
        context.addLine(to: CGPoint(x: 60, y: 60))
        context.addLine(to: CGPoint(x: 10, y: 110))
        context.addLine(to: CGPoint(x: 10, y: 10))
        context.strokePath()
    }
}

