
import UIKit

class DrawingView: UIView {
    override func draw(_ rect: CGRect) {
        if let context = UIGraphicsGetCurrentContext() {
            let font = UIFont(name: "BradleyHandITCTT-Bold", size: 30)
            let attributes = [NSAttributedStringKey.font: font!]
            let string = NSMutableAttributedString(string: "Hello", attributes: attributes)
            
            let line = CTLineCreateWithAttributedString(string)
            context.textMatrix = CGAffineTransform(scaleX: 1.0, y: -1.0)
            context.textPosition = CGPoint(x: 10, y: 150)
            CTLineDraw(line, context)
        }
    }
}

